/* mu_pr - display a menu on the screen */
#include "menu.h"
void mu_pr(pm)		/* at return, pm => menu-sync */
	MENU *pm;		/* ptr to the MENU to be displayed */
	{
	short i;		/* index for loop over fields */
	FIELD *pf;		/* pointer to each FIELD */
	short i_choice;	/* numeric value of choice field */

	scr_clear();

	/* print the menu title, centered on top line */
	scr_curs(0, (scr_cols - strlen(pm->title))/2 - 3);
	scr_print("%s", pm->title);

	for (i = 0; i < pm->nfields; ++i)		/* for each field */
		{
		pf = &pm->fields[i];

		/* print the field description at proper x,y location */
		scr_curs(pf->line, pf->col);
		scr_print("%s  ", pf->desc);

		/* for string and choice fields, print current value */
		if (tolower(pf->val_type) == 's')
			{
			if (pf->psv->pnum != NULL)		/* field has numeric form */
				itoa(*pf->psv->pnum, pf->psv->string, pf->psv->maxsize -1);
			scr_print("%s", pf->psv->string);
			}
		else if (pf->val_type == 'c')
			{
			if ('0' <= *pf->pcv->pc && *pf->pcv->pc <= '9')
				i_choice = *pf->pcv->pc - '0';
			else
				i_choice = 0;
			scr_print("%s", pf->pcv->choices[i_choice]);
			}
		}
	scr_refresh();
	}
